package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasMenu;
import com.persagy.account.pojo.vo.menu.SaasMenuSort;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Mapper
public interface SaasMenuMapper extends BaseMapper<SaasMenu> {
	
	/**
	 * 获取菜单树
	 * @param accountId
	 * @param groupCode
	 * @param appId
	 * @param angle
	 * @param valid
	 * @return
	 */
	List<SaasMenu> querySaasMenuTree(@Param("accountId") String accountId, @Param("groupCode") String groupCode, 
			@Param("appId") String appId, @Param("menuId") String menuId, @Param("valid") Integer valid);
	
	/**
	 * 查询出此角色下，所有不存在功能点的菜单集合
	 * @param groupCode
	 * @param roleId
	 * @return
	 */
	List<SaasMenu> queryMenuAndEmptyFunction(@Param("groupCode") String groupCode, @Param("roleId") String roleId);

	/**
	 * 菜单重排序
	 * @param menus
	 * @return
	 */
	Integer sortSaasMenu(@Param("menus") List<SaasMenuSort> menus);
	
}
