package com.persagy.account.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.account.pojo.dto.SaasProductPage;

/**
 * 产品页面配置
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-06 10:12:47
 */
@Mapper
public interface SaasProductPageMapper extends BaseMapper<SaasProductPage> {

	/**
	 * 获取集团所签约的页面集合
	 * 
	 * @param groupCode
	 * @param productId
	 * @param angle
	 * @return
	 */
	List<SaasProductPage> queryGroupProductPages(@Param("groupCode") String groupCode, @Param("productId") String productId, @Param("angle") String angle);
	
	/**
	 * 获取项目所签约的此产品的页面集合
	 * 
	 * @param groupCode
	 * @param projectId
	 * @param productId
	 * @param angle
	 * @return
	 */
	List<SaasProductPage> queryProjectProductPages(@Param("groupCode") String groupCode, @Param("projectId") String projectId, @Param("productId") String productId, @Param("angle") String angle);

	/**
	 * 获取此账号所拥有的页面权限
	 * @param accountId
	 * @param menuId
	 * @param pageId
	 * @param angle
	 * @return
	 */
	List<SaasProductPage> queryAccountProductPages(@Param("accountId") String accountId, @Param("productId") String productId,
			@Param("menuId") String menuId, @Param("parentId") String parentId, @Param("angle") String angle);
	
}
