package com.persagy.account.pojo.vo.account;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountLoginVO {

	//@NotBlank(message = "应用ID，不可为空")
	@ApiModelProperty(value = "应用ID", example = "PC", required = true)
	private String appId; // appId
	
	@NotBlank(message = "登录用户名，不可为空")
	@ApiModelProperty(value = "登录用户名", example = "zhangsan", required = true)
	private String username; // 登录用户名
	
	@NotBlank(message = "登录密码，不可为空")
	@ApiModelProperty(value = "登录密码", example = "zhangsan", required = true)
	private String password; // 登录密码

	//@NotBlank(message = "手机号，不可为空")
	@ApiModelProperty(value = "手机号", example = "WD")
	private String phone; // 手机号
	
	@ApiModelProperty(value = "重定向URL", example = "http://127.0.0.1:8080/test")
	private String redirectUrl;	// 重定向URL

	@ApiModelProperty(value = "客户端ID", example = "sdfguvhwoign")
	private String clientId;
	
	@ApiModelProperty(value = "客户端状态信息", example = "123")
	private String state;
	
	//@NotBlank(message = "登录密码，不可为空")
	@ApiModelProperty(value = "是否获取此账号对应的菜单权限树，true-获取，默认false", example = "false")
	private boolean auths; // 是否获取此账号对应的菜单权限树，true-获取，默认false，选填
	
	@ApiModelProperty(value = "记住登录", example = "false")
	private boolean remember = false; // 记住登录
	
}
