package com.persagy.account.pojo.vo.account;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountQueryByNameVO {

    @ApiModelProperty(value = "账号所属, 0-运维系统账号，1-业务账号", example = "0")
    private String accountBelong;	//账号所属, 0-运维系统账号，1-业务账号

    @ApiModelProperty(value = "账号类型，0-超级管理员，1-集团管理员，2-普通账号，默认2")
    private String accountType;
    
	@NotBlank(message = "集团编码，不可为空")
	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码

    @NotBlank(message = "登录用户名，不可为空")
	@ApiModelProperty(value = "登录用户名", example = "zhangsan")
	private String username; // 登录用户名

}
