package com.persagy.account.pojo.vo.account;

import java.util.Set;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 项目信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountQueryVO {

	//@NotBlank(message = "集团编码，不可为空")
	@ApiModelProperty(value = "集团编码，作为SQL条件", example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "集团编码是否为空，true-是，默认此参数不生效", example = "false")
	private Boolean groupIsNull; 	// 集团编码是否为空，true-是，默认此参数不生效
	
	@ApiModelProperty(value = "账号ID", example = "RY56122123152")
	private String accountId; 	// 当前账号ID
	
	@ApiModelProperty(value = "账号ID集合", example = "RY56122123152")
	private Set<String> accountIds; 	// 当前账号ID集合

	@ApiModelProperty(value = "角色ID", example = "RY56122123152")
	private String roleId; 	// 角色ID
	
	@ApiModelProperty(value = "角色ID集合", example = "RY56122123152")
	private Set<String> roleIds; 	// 角色ID集合
	
	@ApiModelProperty(value = "关联类型，0-主岗，1-副岗，2-业务超管默认角色", example = "0")
	private String casType; 	// 关联类型，0-主岗，1-副岗，2-业务超管默认角色
	
	@ApiModelProperty(value = "账号类型, 0-超级管理员(所有集团)，1-单集团管理员(单集团)，2-普通账号", example = "0")
	private String accountType;		//账号类型, 0-超级管理员(所有集团)，1-单集团管理员(单集团)，2-普通账号
	
	@ApiModelProperty(value = "账号所属, 0-运维系统账号，1-业务账号", example = "0")
	private String accountBelong;	//账号所属, 0-运维系统账号，1-业务账号
	
	@ApiModelProperty(value = "应用ID， PC-电脑端，APP-手机应用端", example = "PC")
    private String appId;
	
	@ApiModelProperty(value = "登录用户名", example = "zhangsan")
	private String username; // 登录用户名

	@ApiModelProperty(value = "邮箱号", example = "18888888888@163.com")
	private String mail; 	// 邮箱号
	
	@ApiModelProperty(value = "手机号", example = "18888888888")
	private String phoneNum; // 手机号

	@ApiModelProperty(value = "账号来源", example = "WD")
	private String accountSource; // 账号来源

	@ApiModelProperty(value = "最后一次操作者ID", example = "zhangsan")
	private String updateUser; 	// 最后一次操作者ID
	
	@ApiModelProperty(value = "是否显示roles，true-显示，默认false", example = "false")
	private Boolean showRoles; 	// 是否显示roles，true-显示，默认false
	
	@ApiModelProperty(value = "是否显示集团信息，true-显示，默认false", example = "false")
	private Boolean showGroup; 	// 是否显示集团信息，true-显示，默认false

	@ApiModelProperty(value = "是否可用，0-不可用，1-可用", example = "1")
	private Integer valid; 		// 0-不可用，1-可用

}
