package com.persagy.account.pojo.vo.area;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 区域信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAreaQueryVO extends BaseGroupModel {

	@ApiModelProperty(value = "区域ID", example = "100101")
	private String id; // 区域ID
	
	@ApiModelProperty(value = "上级区域ID", example = "100101")
	private String parentId; // 上级区域ID

	@ApiModelProperty(value = "区域编码", example = "100101")
	private String areaCode; // 区域编码

	@ApiModelProperty(value = "区域名称", example = "测试区域")
	private String areaName; // 区域名称

	@ApiModelProperty(value = "区域类别，0-非最底层区域，1-最底层区域", example = "100101")
	private String areaType; // 区域类别，0-非最底层区域，1-最底层区域

	@ApiModelProperty(value = "最后一次操作者ID", example = "100101")
	private String updateUser; // 最后一次操作者ID
	
	@ApiModelProperty(value = "是否统计出该层区域及其下级所包含的所有项目数量，默认false-不统计", example = "false")
	private boolean isTotal = false; 	// 是否统计出该层区域及其下级所包含的所有项目数量

}
