package com.persagy.account.pojo.vo.group;

import com.persagy.common.constant.SaasCommonConstant;
import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 集团信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasGroupQueryVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码", example = "WD")
	private String groupCode; // 集团编码

	@ApiModelProperty(value = "集团名称，支持模糊查询", example = "万达集团")
	private String groupName; // 集团名称,业务保证唯一性

	@ApiModelProperty(value = "集团部署方式，0-公有云，1-私有云", example = "0")
	private String deployModel; // 集团部署方式，0-公有云，1-私有云

	@ApiModelProperty(value = "数据同步状态,0-数据同步失败，1-数据同步成功,2-未同步", example = "0")
	private String syncState; 	// 数据同步状态,0-数据同步失败，1-数据同步成功,2-未同步

	@ApiModelProperty(value = "最后一次操作者ID", example = "zhangsan")
	private String updateUser; // 最后一次操作者ID

	@ApiModelProperty(value = "0-不可用，1-可用，默认1", example = "1")
	private Integer valid = SaasCommonConstant.STATUS_1; // 0-不可用，1-可用

}
