package com.persagy.account.pojo.vo.product;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年5月6日 上午10:21:23
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasProductPageTreeVO extends BaseUserModel {
	
	//@NotBlank(message = "产品ID，不可为空")
	@ApiModelProperty(value = "产品ID", example = "PD1001")
	private String productId; // 产品ID
	
	@ApiModelProperty(value = "产品类型，0-系统产品，1-标准业务产品，2-IBMS产品", example = "0")
	private String productType;	//产品类型，0-系统产品，1-标准业务产品，2-IBMS产品
	
	@ApiModelProperty(value = "当前角度", example = "123")
	private String angle; // 当前角度，1-集团视角，2-项目视角

	@ApiModelProperty(value = "是否展示出页面对应的权限信息，true-展示，默认false", example = "true")
	private boolean showPageAuth = false; // 是否展示出页面对应的权限信息，true-展示，默认false
	
}
