package com.persagy.account.service;

import java.util.List;
import java.util.Set;

import com.persagy.common.service.ISuperService;
import com.persagy.account.pojo.dto.SaasAccountProject;
import com.persagy.account.pojo.vo.auth.AccountProjectResetVO;

/**
 * 账号-集团项目关联信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasAccountProjectService extends ISuperService<SaasAccountProject> {

	/**
	 * 删除新增账号-集团项目关联信息
	 * @param accountId 
	 * @param auths
	 * @return
	 */
	boolean resetSaasAccountProject(String accountId, List<AccountProjectResetVO> auths);

	/**
	 * 添加一条默认的账号、集团、未分区区域的关联关系
	 * 
	 * @param accountId
	 * @param groupCode
	 * @return
	 */
	boolean addDefaultAccountArea(String accountId, String groupCode);

	/**
	 * 获取已被分配的集团区域ID集合
	 * @param accountId
	 * @param groupCode
	 * @return
	 */
	Set<String> queryAccountAreaIds(String accountId, String groupCode);

	/**
	 * 更新或新增账号-集团区域项目关联关系
	 * 
	 * @param data
	 * @return
	 */
	boolean replaceAccountProject(List<SaasAccountProject> data);

}

