package com.persagy.sso.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import com.persagy.sso.pojo.dto.JobReflex;
import com.persagy.sso.pojo.dto.JobReflex.Builder;
import com.persagy.sso.service.IJobReflexService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-15 21:49:05
 */

@Api(tags = "岗位映射关系,未使用")
@RestController
@RequestMapping(value = "/jobReflex", method = RequestMethod.POST)
public class JobReflexController {
    @Autowired
    private IJobReflexService jobReflexService;

    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryJobReflexList")
    public ResponseResult queryJobReflexList(@RequestBody JobReflex jobReflex) {
    	Builder builder = new JobReflex.Builder().createQueryWrapper();
    	LambdaQueryWrapper<JobReflex> queryWrapper = builder.builderQueryWrapper();
    	List<JobReflex> list = this.jobReflexService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseResultUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseResultUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createJobReflex")
    public ResponseResult createJobReflex(@RequestBody JobReflex jobReflex) {
        boolean result = this.jobReflexService.save(jobReflex);
        return result ? ResponseResultUtil.successResult("保存成功") : ResponseResultUtil.errorResult("保存失败");
    }

    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateJobReflex")
    public ResponseResult updateJobReflex(@RequestBody JobReflex jobReflex) {
        boolean result = this.jobReflexService.updateById(jobReflex);
        return result ? ResponseResultUtil.successResult("更新成功") : ResponseResultUtil.errorResult("更新失败");
    }

    /**
     * 物理删除
     */
    @ApiOperation(value = "删除")
    @RequestMapping(value = "deleteJobReflex")
    public ResponseResult deleteJobReflex(@RequestBody JobReflex jobReflex) {
        boolean result = this.jobReflexService.removeById(jobReflex.getId());
        return result ? ResponseResultUtil.successResult("删除成功") : ResponseResultUtil.errorResult("删除失败");
    }
    
}
