package com.persagy.sso.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.model.BaseEntity;
import com.persagy.common.utils.StringUtil;


import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * 
 * @version 1.0.0
 * @company persagy 
 * @author xgq
 * @date 2021-04-16 00:32:26
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("account_reflex")
public class AccountReflex extends BaseEntity<AccountReflex> {

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String id;			// id
    
        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String oaAccountId;			// 万达oa账号id 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String accountId;			// 运维系统账号id

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date createTime;			// 

        @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private Date updateTime;			// 

    
	public static class Builder {

		private LambdaQueryWrapper<AccountReflex> queryWrapper = null;
		
		private LambdaUpdateWrapper<AccountReflex> updateWrapper = null;
		
		public Builder createQueryWrapper() {
			queryWrapper = new LambdaQueryWrapper<AccountReflex>();
			return this;
		}
		
		public Builder createUpdateWrapper() {
			updateWrapper = new LambdaUpdateWrapper<AccountReflex>();
			return this;
		}
		
				public Builder idEq (String id) {
							if (StringUtil.isNotBlank(id)) {
					if (updateWrapper != null) {
						updateWrapper.eq(AccountReflex::getId, id);
					} else {
						queryWrapper.eq(AccountReflex::getId, id);
					}
				}
					    			return this;
		}
				public Builder oaAccountIdEq (String oaAccountId) {
							if (StringUtil.isNotBlank(oaAccountId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(AccountReflex::getOaAccountId, oaAccountId);
					} else {
						queryWrapper.eq(AccountReflex::getOaAccountId, oaAccountId);
					}
				}
					    			return this;
		}
				public Builder accountIdEq (String accountId) {
							if (StringUtil.isNotBlank(accountId)) {
					if (updateWrapper != null) {
						updateWrapper.eq(AccountReflex::getAccountId, accountId);
					} else {
						queryWrapper.eq(AccountReflex::getAccountId, accountId);
					}
				}
					    			return this;
		}
				public Builder createTimeEq (Date createTime) {
					    				if (null != createTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(AccountReflex::getCreateTime, createTime);
					} else {
						queryWrapper.eq(AccountReflex::getCreateTime, createTime);
					}
				}
						return this;
		}
				public Builder updateTimeEq (Date updateTime) {
					    				if (null != updateTime) {
					if (updateWrapper != null) {
						updateWrapper.eq(AccountReflex::getUpdateTime, updateTime);
					} else {
						queryWrapper.eq(AccountReflex::getUpdateTime, updateTime);
					}
				}
						return this;
		}
				
		public LambdaQueryWrapper<AccountReflex> builderQueryWrapper() {
			return queryWrapper;
		}
		
		public LambdaUpdateWrapper<AccountReflex> builderUpdateWrapper() {
			return updateWrapper;
		}
	}
}
