package com.persagy.sso.service;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.pojo.dto.AddDepartmentDTO;
import com.persagy.sso.pojo.dto.IdDTO;
import com.persagy.sso.pojo.dto.QueryDeptDTO;

/**
 * @ClassName : IDeptService
 * @Author ：xgq
 * @Date ：Created in 2021/4/13 22:45
 * @Description： TODO
 * @Version : 1.0
 */
public interface IDeptService {

    /**保存部门信息**/
    ResponseResult saveDept(AddDepartmentDTO addDepartmentDTO, String token);

    /**删除部门信息
     * @param idDTO**/
    ResponseResult deleteDept(IdDTO idDTO);

    /**
     * @Description: 根据id查询部门信息
     * @Author: xgq
     * @Date: 2021/4/15 1:35
     * @param idDTO:
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryDeptById(IdDTO idDTO);

    /**
     * @Description: 更新部门信息
     * @Author: xgq
     * @Date: 2021/4/15 1:42
     * @param addDepartmentDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult updateDept(AddDepartmentDTO addDepartmentDTO, String token);

    /**
     * @Description: 根据条件查询级部门信息
     * @Author: xgq
     * @Date: 2021/4/15 19:55
     * @param queryDeptDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    ResponseResult queryDeptByCondition(QueryDeptDTO queryDeptDTO, String token);
}
