package com.persagy.sso.service.impl;

import com.persagy.common.utils.ResponseResult;
import com.persagy.sso.client.FmPersonClient;
import com.persagy.sso.client.SaasAccountClient;
import com.persagy.sso.pojo.dto.AddJobDTO;
import com.persagy.sso.pojo.dto.IdDTO;
import com.persagy.sso.pojo.dto.QueryJobDTO;
import com.persagy.sso.service.IJobService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName : JobService
 * @Author ：xgq
 * @Date ：Created in 2021/4/14 14:59
 * @Description： TODO
 * @Version : 1.0
 */
@Slf4j
@Service
public class JobService implements IJobService {


    @Autowired
    private FmPersonClient fmPersonClient;
    @Autowired
    private SaasAccountClient saasAccountClient;
     /**
      * @Description: 保存岗位信息
      * @Author: xgq
      * @Date: 2021/4/14 15:00
      * @param addJobDTO :
      * @param token
      * @return: void
      **/
    @Override
    public ResponseResult saveJob(AddJobDTO addJobDTO, String token) {
      //feign调用，保存岗位信息
   return      fmPersonClient.saveJob(addJobDTO,token);
    }

    /**
     * @Description: 删除岗位信息
     * @Author: xgq
     * @Date: 2021/4/14 15:04
     * @param idDTO :
     * @return: void
     **/
    @Override
    public ResponseResult deleteJob(IdDTO idDTO) {
      //feign调用，删除岗位信息
        return  fmPersonClient.deleteJob(idDTO);
    }


    /**
     * @Description: 更新岗位信息
     * @Author: xgq
     * @Date: 2021/4/15 1:50
     * @param addJobDTO :
     * @param token
     * @return: com.persagy.common.utils.ResponseResult
     **/
    @Override
    public ResponseResult updateJob(AddJobDTO addJobDTO, String token) {
        return fmPersonClient.updateJob(addJobDTO,token);
    }

     /**
      * @Description: 根据角色名称查询角色信息
      * @Author: xgq
      * @Date: 2021/4/17 19:57
      * @param queryJobDTO :
      * @param token
      * @return: com.persagy.common.utils.ResponseResult
      **/
    @Override
    public ResponseResult queryJobBuCondition(QueryJobDTO queryJobDTO, String token) {
        return saasAccountClient.queryJobBuCondition(queryJobDTO,token);
    }
}
